Subject: bug#59347: 29.0.50; `:family` face setting ignored

From: Stefan Monnier <[email-masked]>
Date: Fri, 18 Nov 2022 16:09:46 -0500

>> So my guess is that if the face uses the :family attribute, it
>> inherits the weight from default, and if Emacs cannot find that
>> weight in that font, it falls back to some other font.

But my `font` pattern doesn't specify a "weight".

>> Personally I think falling back to the same font but different weight
>> is probably less confusing.

Ignoring a "bold" setting would probably surprise/disappoint users just
as often.

> Basically the culprit in Stefan’s recipe is probably semicondensed
> rather than Dejavu.

Could be, indeed.  I don't actually care about the width of the font
when I request `DejaVu Sans`.  This said, if I use

    (:family "DejaVu Sans" :width normal)

I still don't get `DejaVu Sans` but I get a "normal" (hence wider)
misc-fixed instead :-(

        Stefan